Information Exposure Affecting github.com/coreos/ignition/v2/internal Open this link in a new tab package, versions <2.14.0


0.0
medium
  • Attack Complexity

    Low

  • User Interaction

    Required

  • Scope

    Changed

  • Confidentiality

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-GOLANG-GITHUBCOMCOREOSIGNITIONV2INTERNAL-2824158

  • published

    13 May 2022

  • disclosed

    4 May 2022

  • credit

    jonaz

How to fix?

Upgrade github.com/coreos/ignition/v2/internal to version 2.14.0 or higher.

Overview

github.com/coreos/ignition/v2/internal is a the utility used by Fedora CoreOS and RHEL CoreOS to manipulate disks during the initramfs. This includes partitioning disks, formatting partitions, writing files (regular files, systemd units, etc.), and configuring users. On first boot, Ignition reads its configuration from a source of truth (remote URL, network metadata service, hypervisor bridge, etc.) and applies the configuration.

Affected versions of this package are vulnerable to Information Exposure because ignition configs are accessible from unprivileged containers in VMs running on VMware products.

Note: This issue is only relevant in user environments where the Ignition config contains secrets.